/*************************************************  
  File name     : hal_interface_watchdog.c
  Module        : 
  Author        : amir 
  Version       : 0.1   
  Created on    : 2022-02-07  
  Description   :
      hal interface for watchdog

  Modify History:   
  1. Date:        Author:         Modification:
*************************************************/
#include "hal_interface_watchdog.h"

uint32_t hal_watchdog_start(){
    hal_timer_start(hal_watchdog_kick, NULL, hal_watchdog_get_interval());
}

uint32_t hal_watchdog_stop(){
   hal_timer_stop(hal_watchdog_kick);
}